| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::scene::IBoneSceneNode Class Reference

Interface for bones used for skeletal animation. More...

`#include <IBoneSceneNode.h>`

Inheritance diagram for irr::scene::IBoneSceneNode:

List of all members.

## Public Member Functions

- IBoneSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id=-1)
- virtual E_BONE_ANIMATION_MODE getAnimationMode () const =0
    Gets the current animation mode of the bone.
- virtual u32 getBoneIndex () const =0
    Get the index of the bone.
- virtual _IRR_DEPRECATED_ const c8 * getBoneName () const
    Get the name of the bone.
- virtual const core::aabbox3d
  < f32 > & getBoundingBox () const =0
    Get the axis aligned bounding box of this node.
- virtual E_BONE_SKINNING_SPACE getSkinningSpace () const =0
    How the relative transformation of the bone is used.
- virtual void OnAnimate (u32 timeMs)=0
    Returns the relative transformation of the scene node.
- virtual void render ()
    The render method.
- virtual bool setAnimationMode (E_BONE_ANIMATION_MODE mode)=0
    Sets the animation mode of the bone.
- virtual void setSkinningSpace (E_BONE_SKINNING_SPACE space)=0
    How the relative transformation of the bone is used.
- virtual void updateAbsolutePositionOfAllChildren ()=0
    Updates the absolute position based on the relative and the parents position.

## Public Attributes

- s32 positionHint
- s32 rotationHint
- s32 scaleHint

## Detailed Description

Interface for bones used for skeletal animation.

Used with ISkinnedMesh and IAnimatedMeshSceneNode.

Definition at line 55 of file IBoneSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IBoneSceneNode::IBoneSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id = `-1`
| ) |  | `[inline]`

Definition at line 59 of file IBoneSceneNode.h.

## Member Function Documentation

virtual E_BONE_ANIMATION_MODE irr::scene::IBoneSceneNode::getAnimationMode | ( |  | ) | const`[pure virtual]`

Gets the current animation mode of the bone.

virtual u32 irr::scene::IBoneSceneNode::getBoneIndex | ( |  | ) | const`[pure virtual]`

Get the index of the bone.

virtual _IRR_DEPRECATED_ const c8* irr::scene::IBoneSceneNode::getBoneName | ( |  | ) | const`[inline, virtual]`

Get the name of the bone.

Deprecated:
  Use getName instead. This method may be removed by Irrlicht 1.9

Definition at line 64 of file IBoneSceneNode.h.

References irr::scene::ISceneNode::getName().

virtual const core::aabbox3d<f32>& irr::scene::IBoneSceneNode::getBoundingBox | ( |  | ) | const`[pure virtual]`

Get the axis aligned bounding box of this node.

Implements irr::scene::ISceneNode.

virtual E_BONE_SKINNING_SPACE irr::scene::IBoneSceneNode::getSkinningSpace | ( |  | ) | const`[pure virtual]`

How the relative transformation of the bone is used.

virtual void irr::scene::IBoneSceneNode::OnAnimate | ( | u32 | timeMs | ) | `[pure virtual]`

Returns the relative transformation of the scene node.

The animation method.

Reimplemented from irr::scene::ISceneNode.

virtual void irr::scene::IBoneSceneNode::render | ( |  | ) | `[inline, virtual]`

The render method.

Does nothing as bones are not visible.

Implements irr::scene::ISceneNode.

Definition at line 87 of file IBoneSceneNode.h.

virtual bool irr::scene::IBoneSceneNode::setAnimationMode | ( | E_BONE_ANIMATION_MODE | mode | ) | `[pure virtual]`

Sets the animation mode of the bone.

Returns:
  True if successful. (Unused)

virtual void irr::scene::IBoneSceneNode::setSkinningSpace | ( | E_BONE_SKINNING_SPACE | space | ) | `[pure virtual]`

How the relative transformation of the bone is used.

virtual void irr::scene::IBoneSceneNode::updateAbsolutePositionOfAllChildren | ( |  | ) | `[pure virtual]`

Updates the absolute position based on the relative and the parents position.

## Member Data Documentation

s32 irr::scene::IBoneSceneNode::positionHint

Definition at line 98 of file IBoneSceneNode.h.

s32 irr::scene::IBoneSceneNode::rotationHint

Definition at line 100 of file IBoneSceneNode.h.

s32 irr::scene::IBoneSceneNode::scaleHint

Definition at line 99 of file IBoneSceneNode.h.

The documentation for this class was generated from the following file:

- IBoneSceneNode.h